> For the complete documentation index, see [llms.txt](https://docs.tryterra.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tryterra.co/vantage-api-reference/core-resources/activation.md).

# Activation

## Serve kit activation page

> Returns an HTML page for end users to activate their test kit and provide test-taker information

```json
{"openapi":"3.1.1","info":{"title":"Terra Blood DNA Device API","version":"1.0"},"servers":[{"url":"https://vantage.tryterra.co"}],"paths":{"/activate":{"get":{"summary":"Serve kit activation page","tags":["activation"],"description":"Returns an HTML page for end users to activate their test kit and provide test-taker information","parameters":[{"schema":{"type":"string"},"name":"kit_id","in":"query","description":"Supplier Kit ID from test kit packaging","required":true}],"responses":{"200":{"description":"HTML activation form","content":{"text/html":{"schema":{"type":"string"}}}},"400":{"description":"Invalid kit ID","content":{"text/html":{"schema":{"$ref":"#/components/schemas/errors.ProblemDetail"}}}},"500":{"description":"Internal server error","content":{"text/html":{"schema":{"$ref":"#/components/schemas/errors.ProblemDetail"}}}}}}}},"components":{"schemas":{"errors.ProblemDetail":{"description":"Standard error response format following RFC 7807 specification","type":"object","properties":{"detail":{"type":"string"},"instance":{"type":"string"},"status":{"type":"integer"},"title":{"type":"string"},"type":{"type":"string"}}}}}}
```

## Activate a test kit

> Registers test-taker details with the supplier and updates order item status. This endpoint is called after the test-taker receives their kit and provides their information.

```json
{"openapi":"3.1.1","info":{"title":"Terra Blood DNA Device API","version":"1.0"},"servers":[{"url":"https://vantage.tryterra.co"}],"paths":{"/activate/kit":{"post":{"summary":"Activate a test kit","tags":["activation"],"description":"Registers test-taker details with the supplier and updates order item status. This endpoint is called after the test-taker receives their kit and provides their information.","responses":{"200":{"description":"Kit activated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/orders.ActivateKitResponse"}}}},"400":{"description":"Invalid request body or kit already activated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors.ProblemDetail"}}}},"404":{"description":"Kit not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors.ProblemDetail"}}}},"409":{"description":"Kit already activated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors.ProblemDetail"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors.ProblemDetail"}}}},"503":{"description":"Supplier service unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errors.ProblemDetail"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/orders.ActivationContextDTO"}}},"description":"Activation details including test-taker info","required":true}}}},"components":{"schemas":{"orders.ActivateKitResponse":{"description":"Confirmation that kit was activated successfully","type":"object","properties":{"kit_id":{"type":"string"},"message":{"type":"string"},"success":{"type":"boolean"}}},"errors.ProblemDetail":{"description":"Standard error response format following RFC 7807 specification","type":"object","properties":{"detail":{"type":"string"},"instance":{"type":"string"},"status":{"type":"integer"},"title":{"type":"string"},"type":{"type":"string"}}},"orders.ActivationContextDTO":{"description":"Information provided by test-taker when activating their kit","type":"object","properties":{"address":{"$ref":"#/components/schemas/orders.ActivationContextAddress"},"collection_date":{"type":"string"},"recipient":{"$ref":"#/components/schemas/orders.ActivationContextRecipient"},"supplier_kit_id":{"type":"string"}},"required":["address"]},"orders.ActivationContextAddress":{"description":"Current address of the test-taker (may differ from shipping address)","type":"object","properties":{"address_line_1":{"type":"string","minLength":1,"maxLength":100},"address_line_2":{"type":"string","maxLength":100},"administrative_area":{"type":"string","maxLength":50},"city":{"type":"string","minLength":1,"maxLength":50},"country_code":{"type":"string","description":"ISO 3166-1 alpha-2 (e.g., \"GB\", \"US\")"},"postal_code":{"type":"string"}},"required":["address_line_1","administrative_area","city","country_code","postal_code"]},"orders.ActivationContextRecipient":{"description":"Test-taker personal information (may differ from original recipient)","type":"object","properties":{"country_code":{"type":"integer"},"date_of_birth":{"type":"string"},"email":{"type":"string"},"first_name":{"type":"string"},"gender_at_birth":{"type":"string","enum":["m","f","other"]},"last_name":{"type":"string"},"phone_number":{"type":"integer"}},"required":["country_code","date_of_birth","email","gender_at_birth","phone_number"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tryterra.co/vantage-api-reference/core-resources/activation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
